Bug 4029 - При пустом каталоге /var/lib/ldap/bases невозможно произвести обновление
: При пустом каталоге /var/lib/ldap/bases невозможно произвести обновление
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/openldap-servers)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2004-04-23 19:22 by
Modified: 2005-07-13 15:46 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-04-23 19:22:25
Если в системе стоял пакет openldap-servers, но до этого ни разу не
использовался, то процесс обновления до openldap-servers-2.1.30-alt1
прерывается
из-за конструкции в %prein:
if [ -d /var/lib/ldap/bases ]; then
        chown ldap:ldap /var/lib/ldap/bases/*
fi

Если сервер openldap ни разу не использовался до этого, то каталог
/var/lib/ldap/bases не содержит файлов. Соотвественно команда "chown ldap:ldap
/var/lib/ldap/bases/*" вызывает ошибку. пожет в данном случае лучше применить
такуб конструкцию:

if [ -d /var/lib/ldap/bases ]; then
        chown -R ldap:ldap /var/lib/ldap/bases
fi
------- Comment #1 From 2004-04-26 16:04:27 -------
*** Bug 4036 has been marked as a duplicate of this bug. ***
------- Comment #2 From 2004-04-28 15:32:18 -------
fixed at openldap-servers-2.1.30-alt2